    <!DOCTYPE html>
    <html>
    
        <head>
            <meta charset="utf-8">
            <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
            <title>Maze solving robot</title>
            <meta name="description" content="Maze solving robot">
            <link rel="stylesheet" href="main.css">
            <script src="processing.js" ></script>
        <link rel="icon" type="img/png" href="icon.png">
        </head>
        <body>
            
             <img alt="pattern" src="Udayan Umapathi2.png" height="80"
                width="300">
            
            <br>
            <br>

           
            
            <ulh>
                <lih><a  class="menu" href="index.html" >home</a></lih>
                <lih><a class="menu" href="projects.html" >projects</a></lih>
                <lih><a class="menu" href="research.html">research</a></lih>
                <lih><a class="menu" href="hobby.html">obsession</a></lih>
            </ulh>
            
            <hr class="style-one">
            
            <p> <b>Micro-mouse</b> by Udayan Umapathi</p>
            <hr class="style-six"> 
            
            <p>Robots are built to solve real world problems. A formulation of a complex real world problem is solving a maze.  
            Micro-mouse is a robot that can solve maze. I designed and built a micro-mouse (with another buddy of mine) using Atmega32 
            AVR micro-controller and a bunch of sensors. Micro-mouse first traverses the maze and maps the entire maze in its own memory. 
            It later solves the maze using "Flood-fill algorithm" and "Dijkstra's shortest path algorithm" to take the 
            fastest path to the center of the maze. We also developed algorithms to ensure efficient acceleration and deceleration of 
            robot's motor. Since the robot's traversal was through a maze consisting of 90 degree turns alone, we had to develop 
            alignment algorithms to keep the robot aligned parallel to the walls.It was very exciting and prestigious to show off our 
            micro-mouse at TECHFEST 2009, IIT Bombay's Annual Tech event. This is what our Micro-mouse looked like. </p>
            
            <img class=centering
                alt="MicroMouse" src="MicroMouse.JPG" height="300"
                width="420">
        
            <img class=centering
                 alt="MicroMouse2"
                src="MicroMouse2.JPG" height="300" width="420">
                        
            <p>Take a look at one of the fastest Micro-mouse, designed in Japan.</p>
            
            <iframe width="420" height="315" src="//www.youtube.com/embed/gu2vX886Oj8" frameborder="0" allowfullscreen></iframe>
            

            
            <hr class="style-seven" />            
            <p class="left">copyrights©2013 Udayan</p>
            <br style="clear: both" />  
            
        </body>
    </html>

